﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2022 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->

<UserControl x:Class="BattleForgeEffectEditor.Application.View.NodeLinkView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel"
             xmlns:xctk="http://schemas.xceed.com/wpf/xaml/toolkit"
             d:DataContext="{d:DesignInstance Type=vm:NodeLinkViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="25" />
            <RowDefinition />
        </Grid.RowDefinitions>

        <TextBlock Text="Node Link" FontSize="14" FontWeight="Bold"/>
        <ScrollViewer Grid.Row="1" >
            <ItemsControl>
                <Label Content="World" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding World}" />
                <Label Content="Node" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Node}" />
                <Label Content="Floor" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Floor}" />
                <Label Content="Aim" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Aim}" />
                <Label Content="Span" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Span}" />
                <Label Content="Bitfield" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Bitfield}" />
                <Label Content="Locator" Foreground="Black" FontWeight="Bold"/>
                <xctk:DecimalUpDown Value="{Binding Locator}" />
                <Label Content="Parent" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding Parent, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Slot" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding Slot, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Destination Slot" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding DestinationSlot, UpdateSourceTrigger=PropertyChanged}" />
            </ItemsControl>
        </ScrollViewer>
        <StackPanel/>
    </Grid>
</UserControl>
